uuid: a0ab9f0b-a13a-46f3-9b23-120097c23bf9
langcode: es
status: true
dependencies: {  }
id: gronze_pg_related_terms
class: null
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - paragraphs
  - level2
migration_group: gronze_paragraph
label: 'related_terms PG migration from Gronze D7'
source:
  plugin: d7_paragraphs_item_check_archived
  high_water_property:
    name: revision_id
    alias: p
  entity: paragraph
  bundle: related_terms
process:
  langcode:
    plugin: default_value
    default_value: es
  field_ref_location:
    plugin: sub_process
    source: field_file_ref_terms
    process:
      target_id:
        plugin: migration_lookup
        migration:
          - gronze_taxonomy_locations
          - gronze_taxonomy_regions
        source: target_id
        no_stub: true
  field_text_title: field_text_title
destination:
  plugin: 'entity_reference_revisions:paragraph'
  default_bundle: related_terms
migration_dependencies:
  required:
    - gronze_taxonomy_locations
    - gronze_taxonomy_regions
